@model FERZid.Models.VrstaUlogeViewModel

@{
    ViewData["Title"] = "Vrste uloga";
}

<h2>Vrste uloga</h2>

<hr />
<p>
    <a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj vrstu uloge"><span class="glyphicon glyphicon-plus"></span>Dodaj vrstu uloge</a>
</p>
<br />

@using (Html.BeginForm("Index", "VrstaUloge", FormMethod.Get))
{
    <p align="right">
        Naziv: @Html.TextBox("searchString", ViewBag.CurrentFilter as string)
    </p>

        <p align="right">
            <input type="submit" value="Search" />
        </p>
}

@if (ViewData["Error"] != null)
{
    <div class="red">
        <p><strong>Error:</strong> @ViewData["Error"].ToString()</p>
    </div>
}
@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}



<hr />

<br>


<table class="table table-striped" >
    <thead>
        <tr>
            <th>
                @Html.ActionLink("Naziv", "Index", new { sortOrder = ViewBag.nazivSortParam, currentFilter = ViewBag.CurrentFilter })
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.vrsteUloga)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Naziv)
                </td>
                <td>
                    <div class="btn-group">
                        <button class="btn btn-default">
                            <a asp-action="Edit" asp-route-id="@item.IdvrsteUloge" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter">
                                <span class="glyphicon glyphicon-pencil"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Details" asp-route-id="@item.IdvrsteUloge" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter">
                                <span class="glyphicon glyphicon-zoom-in"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Delete" asp-route-id="@item.IdvrsteUloge" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" onclick="return confirm('Are you sure you want to delete the record with id = @item.IdvrsteUloge')">
                                <span class="glyphicon glyphicon-trash"></span>
                            </a>
                        </button>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>

}


@if (ViewBag.Page > 0)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page - 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter})"
       class="btn btn-default">
        &laquo; Prev
    </a>
}
@if (ViewBag.Page < ViewBag.MaxPage)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page + 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter})"
       class="btn btn-default">
        Next &raquo;
    </a>
}
<hr />
@for (int i = 0; i <= ViewBag.MaxPage; i++)
{
    int j = i + 1;

    @if (ViewBag.Page == @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "VrstaUloge", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter}, new { @style = "color:green;font-weight:bold;" })</li>
        </ul>
    }

    @if (ViewBag.Page != @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "VrstaUloge", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter}, null)</li>
        </ul>
    }

}
